# CSC 111, Day 9
# Author: Sara Mathieson and CSC 111 class
# A program to have the computer guess the user's number
# Demonstrates nested-for loops and Python random module
# Completed on Friday

import random

def main():

    # ask the user how many time they want to play this game
    rounds = eval(input("Enter the number of rounds: "))

    # outer for-loop over the number of rounds
    for r in range(rounds):
        print()

        # ask the user to choose a secret number
        number = eval(input("Enter a integer between 0 and 9 inclusive: "))
        guessed_number = False # first time assigned

        # inner for-loop over the computer's guesses
        for i in range(50):
            
            # key step: see if the computer hasn't guessed correctly so far
            if guessed_number == False:
            
                guess = random.randint(0,9)

                # need to check whether guess is equal to number
                if guess == number:
                    print("You guessed my number!")
                    guessed_number = True # reassigning, say "updating"
                else:
                    print(guess, "is wrong, guess again.")

        # after this round, print some information about the computer's results
        if guessed_number == True:
            print("You're done, you guessed the number.")
        else:
            print("You never guessed it!")

main()
